Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.phase
Interface PhaseInterceptor<T extends Message>

All Superinterfaces:
  Interceptor<T>

All Known Implementing Classes:
  AbstractPhaseInterceptor

    public interface PhaseInterceptor<T extends Message>

extends Interceptor<T>

A phase interceptor participates in a PhaseInterceptorChain.

     The before and after properties contain a list of Ids that can control
     where in the chain the interceptor is placed relative to other interceptors

Author:
  Dan Diephouse
See Also:
  `PhaseInterceptorChain`

Method Summary
`java.util.Set<java.lang.String>` | `getAfter()` Returns a set of IDs specifying the interceptors that this interceptor should be placed after in the interceptor chain
`java.util.Set<java.lang.String>` | `getBefore()` Returns a set of IDs specifying the interceptors that this interceptor needs to be before in the inteceptor chain.
`java.lang.String` | `getId()` The ID of this interceptor.
`java.lang.String` | `getPhase()` The phase of this interceptor.

Methods inherited from interface org.apache.cxf.interceptor.Interceptor
`handleFault, handleMessage`

Method Detail

### getAfter

    java.util.Set<java.lang.String> getAfter()

  Returns a set of IDs specifying the interceptors that this interceptor should be placed after in the interceptor chain

  Returns:
    the ids of the interceptors

### getBefore

    java.util.Set<java.lang.String> getBefore()

  Returns a set of IDs specifying the interceptors that this interceptor needs to be before in the inteceptor chain.

  Returns:
    the ids of the interceptors

### getId

    java.lang.String getId()

  The ID of this interceptor.

  Returns:
    the id

### getPhase

    java.lang.String getPhase()

  The phase of this interceptor.

  Returns:
    the phase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF